跳到正文
Navigation

获取指定站点的域名列表及 HTTPS 端口

POST
https://your-panel.example.com:8888/mod/proxy/com/get_domain_list/stype

获取站点的所有绑定域名及其健康状态、HTTPS 端口信息。

Request body application/x-www-form-urlencoded required

  • request_time
    string
    required

    Unix 时间戳;与接口密钥一起生成 request_token。

  • request_token
    string
    required

    按 API 概览中的双重 MD5 签名算法生成。

  • id
    integer
    required

    站点 ID

  • site_name
    string
    required

    站点名称

Returns

default

接口响应,业务状态见下方详细说明。

JSON
  • domain_list
    optional
    array of
    unknown

    域名列表,每项含 name, port,healthy=0 表示域名不在 JSON 配置中

  • https_port
    optional
    string

    HTTPS 端口号,未开启 SSL 时返回 未开启HTTPS

各操作详细说明

get_domain_listaction=get_domain_list获取指定站点的域名列表及 HTTPS 端口

获取站点的所有绑定域名及其健康状态、HTTPS 端口信息。

  • 路由:POST /mod/proxy/com/get_domain_list/stype
  • action:get_domain_list

输入参数

参数名称 必选 类型 描述
id 是 int 站点 ID
site_name 是 string 站点名称

输出参数

参数名称 类型 描述
domain_list list 域名列表,每项含 name, port,healthy=0 表示域名不在 JSON 配置中
https_port string HTTPS 端口号,未开启 SSL 时返回 未开启HTTPS

示例

响应

{
  "status": true,
  "data": {
    "domain_list": [
      {"name": "example.com", "port": 80, "healthy": 1},
      {"name": "www.example.com", "port": 80, "healthy": 1}
    ],
    "https_port": "443"
  }
}

Type to search…

↑↓ navigate↵ selectEsc close